#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifndef DATAPATH
#define DATAPATH "/var/adm/tac_plus"
#endif

#ifndef TAC_PLUS_DBFILE
 #define	TAC_PLUS_DBFILE	DATAPATH "/user.db"
#endif

#ifndef RUNPATH
 #define	RUNPATH "/etc/tac_plus"
#endif

#ifndef SCANTIME
 #define	SCANTIME 60
#endif

#ifndef TAC_PLUS_DENYDIR
 #define	TAC_PLUS_DENYDIR DATAPATH "/deny"
#endif

#ifndef ACTPROG
 #define	ACTPROG "/usr/local/sbin/killuser"
#endif

#ifndef REINIT
 #define	REINIT 0
#endif

#ifndef LOG_FACIL
 #define	LOG_FACIL LOG_LOCAL6
#endif

#ifdef ACCTD_NOTIFY
#ifndef NOTIFYPROG
 #define	NOTIFYPROG "/usr/local/sbin/notifyuser"
#endif
#ifndef NOTIFYTIME
 #define	NOTIFYTIME 2
#endif
#endif

#ifdef DBF_1
typedef struct {
    long tl;			/* time limit      */
    long tll;			/* time limit left */
    long dl;			/* day  limit      */
    long dll;			/* day  limit left */
    long tot;			/* total time      */
#ifdef PARROT
    double parrot;		/* parrots left    */
    double parrot_credit;

#ifndef FORMAT
#define FORMAT "pl,pc,tl,tll,dl,dll,tu"
#endif

#else

#ifndef FORMAT
#define FORMAT "tl,tll,dl,dll,tu"
#endif

#endif
} TQ_st;
#endif

#define LMTNAME "update"
#define ACCTD_VERSION "0.96"
