#include <sys/param.h>
#include <string.h>
#include <stdio.h>
#include "pwdt.h"

#ifndef _PATH_DEFAULTT
#ifndef CONFPATH
#define CONFPATH "/etc/tac_plus"
#endif
#define _PATH_DEFAULTT CONFPATH "/tac_passwd"
#endif

char	_PATH_PASSWDT[MAXPATHLEN] = "";

char	_PATH_MASTERPASSWDT[MAXPATHLEN] = "";

char	_PATH_MP_DBT[MAXPATHLEN] = "";
char	_PATH_SMP_DBT[MAXPATHLEN] = "";

void setpwfilet(fname)
	const char *fname;
{
 char *basename;
 size_t plen = 0;

 if(!fname)
   fname = _PATH_DEFAULTT;

 strncpy(_PATH_PASSWDT, fname, sizeof(_PATH_PASSWDT));
 _PATH_PASSWDT[sizeof(_PATH_PASSWDT) - 1] = '\0';

 fname = _PATH_PASSWDT;

 if((basename = strrchr(fname, '/')) != NULL)
  {
   basename++;
   plen = basename - fname;
  }
 else
   basename = (char *)fname; /* "pathless" file */

 memcpy(_PATH_MASTERPASSWDT, fname, plen);
 snprintf(_PATH_MASTERPASSWDT + plen, sizeof(_PATH_MASTERPASSWDT) - plen,
          "master.%s", basename);

 memcpy(_PATH_MP_DBT, fname, plen);
 snprintf(_PATH_MP_DBT + plen, sizeof(_PATH_MP_DBT) - plen,
          "%s.db", basename);

 memcpy(_PATH_SMP_DBT, fname, plen);
 snprintf(_PATH_SMP_DBT + plen, sizeof(_PATH_SMP_DBT) - plen,
          "s%s.db", basename);
}
