/*
 * Copyright (c) 1994 Berkeley Software Design, Inc. All rights reserved.
 * The Berkeley Software Design Inc. software License Agreement specifies
 * the terms and conditions for redistribution.
 *
 */

#include <db.h>
#include "pwdt.h"
#include <signal.h>
#include <stdio.h>

#include "libpasswd.h"

/*
 * End lock.
 */
void
pw_unlock(pw)
	struct pwinfo *pw;
{

	if (pw->pw_flags & PW_LOCKED) {
		fclose(pw->pw_lock.pf_fp);
		pw->pw_flags &= ~PW_LOCKED;
	}
}
