#ifndef _TAC_UTMP_H_
#define _TAC_UTMP_H_

#include <netinet/in.h>

#ifdef USER_LEN_MAX
#define UT_NAMESIZE USER_LEN_MAX
#else
#define UT_NAMESIZE 16
#endif
#define UT_LINESIZE 12
#define UT_HOSTSIZE 16

struct tac_utmp {
  char ut_line[UT_LINESIZE];
  char ut_user[UT_NAMESIZE];
  char ut_host[UT_HOSTSIZE];
  long ut_time;
  struct in_addr ut_addr;
};

#define UTMP_T struct tac_utmp

#endif
