#include <kvm.h>
#include <sys/param.h>
#include <sys/sysctl.h>
#include <fcntl.h>

kvm_t *kvm;
struct kinfo_proc *p;

main(ac, av)
char *av[];
{
    int c, n;

    kvm = kvm_open(NULL, NULL, NULL, O_RDONLY, NULL);
    if (!kvm) {
	perror("unable to init kvm");
	exit(1);
    }
    p = kvm_getprocs(kvm, KERN_PROC_ALL, atoi(av[1]), &n);

    if (!p)
	printf("NULL\n");
    printf("%d\n", n);

    for (c = 0; c < n; c++)
	printf("N# %d %d cmd: %s\n", c,
	       p[c].kp_proc.p_pid, p[c].kp_proc.p_comm);

}
