#include <sys/param.h>
#include <string.h>
#include <stdio.h>
#include "pwdt.h"

#ifndef _PATH_DEFAULTT
#ifndef CONFPATH
#define CONFPATH "/etc/tac_plus"
#endif
#define _PATH_DEFAULTT CONFPATH "/tac_passwd"
#endif

char	_PATH_PASSWDT[MAXPATHLEN] = "";		/* /etc/passwd */

char	_PATH_MASTERPASSWDT[MAXPATHLEN] = "";	/* /etc/master.passwd */

char	_PATH_MP_DBT[MAXPATHLEN] = "";		/* /etc/pwd.db	*/
char	_PATH_SMP_DBT[MAXPATHLEN] = "";		/* /etc/spwd.db */

char _PATH_PWDT[MAXPATHLEN] = "";		/* "/etc" */
char _PASSWDT[MAXPATHLEN] = "";			/* "passwd" */
char _MASTERPASSWDT[MAXPATHLEN] = "";		/* "master.passwd" */

char _MP_DBT[MAXPATHLEN] = "";			/* "pwd.db" */
char _SMP_DBT[MAXPATHLEN] = "";			/* "spwd.db" */

void setpwfilet(fname)
	const char *fname;
{
 char *basename;
 size_t plen = 0;

 if(!fname)
   fname = _PATH_DEFAULTT;

 strncpy(_PATH_PASSWDT, fname, sizeof(_PATH_PASSWDT));
 _PATH_PASSWDT[sizeof(_PATH_PASSWDT) - 1] = '\0';

 fname = _PATH_PASSWDT;

 if((basename = strrchr(fname, '/')) != NULL)
  {
   basename++;
   plen = basename - fname;
  }
 else
   basename = (char *)fname; /* "pathless" file */

 if(plen)
  {
   memcpy(_PATH_PWDT, fname, plen - 1);
   _PATH_PWDT[plen - 1] = '\0';
  }
 else
   strcpy(_PATH_PWDT, "./");

 strcpy(_PASSWDT, basename);

 memcpy(_PATH_MASTERPASSWDT, fname, plen);
 snprintf(_PATH_MASTERPASSWDT + plen, sizeof(_PATH_MASTERPASSWDT) - plen,
          "master.%s", basename);
 snprintf(_MASTERPASSWDT, sizeof(_MASTERPASSWDT), "master.%s", basename);

 snprintf(_MP_DBT, sizeof(_MP_DBT), "%s.db", basename);
 memcpy(_PATH_MP_DBT, fname, plen);
 snprintf(_PATH_MP_DBT + plen, sizeof(_PATH_MP_DBT) - plen,
          "%s.db", basename);

 snprintf(_SMP_DBT, sizeof(_SMP_DBT), "s%s.db", basename);
 memcpy(_PATH_SMP_DBT, fname, plen);
 snprintf(_PATH_SMP_DBT + plen, sizeof(_PATH_SMP_DBT) - plen,
          "s%s.db", basename);
}
